//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.77-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1306
// INTERFACE : I2C
// MCU 		 : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCL   PG12SCL
// SDA    PD5SDA

#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 t;
	delay_init();
	OLED_Init();
	LED_Init();
	OLED_ColorTurn(0);//0 normal display 1 negative display
  OLED_DisplayTurn(0);//0normal display 1 Flip Display
//	OLED_DrawPoint(0,0);
//	OLED_DrawLine(20,0,50,60);
//	OLED_DrawCircle(64,32,20);
	OLED_Refresh();
	t=' ';
	LED0=0;
	while(1)
	{
		OLED_ShowPicture(0,0,72,5,BMP1);
		delay_ms(500);
		OLED_Clear();
    OLED_ShowChinese(0,0,0,16);//
		OLED_ShowChinese(18,0,1,16);//
		OLED_ShowChinese(36,0,2,16);//
		OLED_ShowChinese(54,0,3,16);//
		
		OLED_ShowString(8,16,"EASTRI",16);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowString(0,0,"ASCII:",16);  
		OLED_ShowString(0,16,"CODE :",16);
		OLED_ShowChar(48,0,t,16);//ASCII    
		t++;
		if(t>'~')t=' ';
		OLED_ShowNum(48,16,t,3,16);
		OLED_Refresh();
		delay_ms(500);
		OLED_Clear();
		OLED_ShowChinese(0,0,0,16);  //16*16 
	  OLED_ShowChinese(0,16,0,24); //24*24 
		OLED_ShowChinese(24,0,0,32);//32*32 
		OLED_Refresh();
	  delay_ms(500);
  	OLED_Clear();
		OLED_ShowString(0,0,"ABC",12);//6*12 ABC
	  OLED_ShowString(0,12,"ABC",16);//8*16 ABC
		OLED_ShowString(28,0,"ABC",24);//12*24 ABC
	  OLED_Refresh();
		delay_ms(500);
		OLED_ScrollDisplay(11,4);
	}
}

